htdig(1)

NAME
htfuzzy - fuzzy command-line search utility for the ht://Dig search engine

SYNOPSIS
htfuzzy [-c configfile] [-v] algorithm [options]

DESCRIPTION
Description to follow here

OPTIONS

-c configfile
    Use the specified configfile instead of the default.

-v  Verbose mode , -vvv
     etc ). Specifying more than two v's is probably only useful for debugging purposes.

Supported Algorithms

Different algoritms are supported for searching:
    soundex Creates a slightly modified soundex key database. Differences with the standard soundex algorithm are: Keys are 6 digits and the first letter is also encoded.

    metaphone Creates a metaphone key database. This algorithm is more specific to English, but will get fewer "weird" matches than the soundex algorithm. accents (No description of the algorithm at the moment) endings Creates two databases which can be used to match common word endings. The creation of these databases requires a list of affix rules and a dictionary which uses those affix rules. The format of the affix rules and dictionary files are the ones used by the ispell program. Included with the distribution are the affix rules for English and a fairly small English dictionary. Other languages can be supported by getting the appropriate affix rules and dictionaries. These are available for many languages; check the ispell distribu- tion for more details. synonyms Creates a database of synonyms for words. It reads a text database of synonyms and creates a database that htsearch can then use. Each line of the text database consists of words where the first word will have the other words on that line as synonyms.

Notes on searching

Please consult specialised literature to find out how the different algorithms work or simply try another
    search stragegy you do not get the intended search results.

FILES

/usr/local/etc/htdig/htdig.conf
    The default configuration file. /usr/local/share/htdig/database/db.accents.db (Output) Maps between characters with and without accents for accents fuzzy rule /usr/local/share/htdig/database/db.metaphone.db (Output) Database of similar-sounding words for metaphone fuzzy rule /usr/local/share/htdig/database/db.soundex.db (Output) Database of similar-sounding words for soundex fuzzy rule /usr/local/share/htdig/common/english.0, /usr/local/share/htdig/common/english.aff (Input) List of words and affix rules used to generate endings /usr/local/share/htdig/common/root2word.db, /usr/local/share/htdig/common/word2rood.db (Output) Database used for endings fuzzy rule /usr/local/share/htdig/common/synonyms (Input) List of groups of words considered synonymous /usr/local/share/htdig/common/synonyms.db (Output) Database used for synonyms fuzzy rule

SEE ALSO
Please refer to the HTML pages (in the htdig-doc package) /usr/share/doc/htdig-doc/html/index.html and the manual pages htdigconfig(8) , htmerge(1) , htnotify(1) , htsearch(1) and rundig(1) for a detailed description of ht://Dig and its commands.

AUTHOR
This manual page was written by Robert Ribnitz. It is based on documentation of ht://Dig, and on earlier manpages provided by Christian Schwarz and Stijn de Bekker.